Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libdvdnav
Version:	4.1.4
Release:	1
License:	GNU/GPL 
#Mplayer fork available at svn://svn.mplayerhq.hu/dvdnav/trunk/libdvdnav
URL:		http://dvd.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	libdvdnav is a DVD navigation library that allows users to navigate DVD menus on any operating system.

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libdvdread-devel
BuildRequires: pkg-config

%description
libdvdnav is a DVD navigation library that allows users to navigate DVD menus on any operating system.
For more details see: http://dvd.sourceforge.net

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
./autogen.sh
./configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libdvdnavmini.so.*
%{_libdir}/libdvdnav.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/dvdnav-config
%{_includedir}/dvdnav
%{_libdir}/libdvdnav.la
%{_libdir}/libdvdnavmini.la
%{_libdir}/libdvdnavmini.so
%{_libdir}/libdvdnav.so
%{_pkgconfig}/dvdnavmini.pc
%{_pkgconfig}/dvdnav.pc
%{_aclocal}/dvdnav.m4

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 26 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.1.4-1
- Version update
- svn 1192
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.3-1
- Version update
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Wed Jul 13 2005 Christian Wasem <wasem@ccux-linux.de> 0.1.10-2
- rebuild for source rpm, changing group to System/Libraries
